Summary: NetworkManager VPN integration for OpenVPN
Name: networkmanager-openvpn
Epoch:   1
Version: 0.9.4.0
Release: %mkrel 1
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/
Group: System/Base
Source: http://download.gnome.org/sources/NetworkManager-openvpn/0.9/NetworkManager-openvpn-%version.tar.xz
BuildRequires: pkgconfig(dbus-glib-1) >= 0.74
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires: pkgconfig(libnm-glib) >= 0.9.2
BuildRequires: pkgconfig(libnm-glib-vpn) >= 0.9.2
BuildRequires: pkgconfig(libnm-util) >= 0.9.2
BuildRequires: pkgconfig(NetworkManager) >= 0.9.2
BuildRequires: libtool intltool gettext
BuildRequires: gnome-common
Requires: openvpn >= 2.1

%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager and the GNOME desktop.

%prep
%setup -q -n NetworkManager-openvpn-%{version}

%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure2_5x \
    --disable-static \
    --disable-dependency-tracking \
    --with-dist-version="%product_distribution %product_version" \
    --disable-more-warnings
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/NetworkManager/*.la

%find_lang NetworkManager-openvpn

%files -f NetworkManager-openvpn.lang
%doc AUTHORS ChangeLog README
%{_libdir}/NetworkManager/libnm-openvpn-properties.so
%{_libexecdir}/nm-openvpn-auth-dialog
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%{_datadir}/gnome-vpn-properties/openvpn/nm-openvpn-dialog.ui
# For now disabled in upstream
#{_datadir}/applications/nm-openvpn.desktop
#{_datadir}/icons/hicolor/*/apps/*


%changelog

* Sat Mar 24 2012 ovitters <ovitters> 1:0.9.4.0-1.mga2
+ Revision: 225994
- new version 0.9.4.0

* Fri Mar 02 2012 ovitters <ovitters> 1:0.9.3.995-1.mga2
+ Revision: 216881
- new version 0.9.3.995

  + guillomovitch <guillomovitch>
    - spec cleanup

* Sat Nov 12 2011 fwang <fwang> 1:0.9.2.0-1.mga2
+ Revision: 166902
- disable warnings
- new version 0.9.2.0

  + mikala <mikala>
    - Update tarball to 0.9.0
    - use xz tarball

* Tue Jun 14 2011 mikala <mikala> 1:0.8.999-1.mga2
+ Revision: 106272
- Update tarball to 0.8.999
- Fix BuildRequires

* Thu Apr 21 2011 mikala <mikala> 1:0.8.4-1.mga1
+ Revision: 89451
- Update tarball to 0.8.4

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.995-2.mga1
+ Revision: 85421
- Rebuild for missing i586 binaries

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.995-1.mga1
+ Revision: 85254
- Update tarball

* Tue Mar 29 2011 mikala <mikala> 1:0.8.2-1.mga1
+ Revision: 78818
- Remove Requires(post) & Requires(postun)
- imported package networkmanager-openvpn

